Introduction

RegionUnstuck is the only plugin to get your players unstuck from regions where they have no permissions.

About

This is a plugin that makes it possible for you players to get unstuck from places in a region where they have no persmissions. You can change the messages, prefix and even bind your own commands.

Installation

What minecraft versions do we support? How should i install the plugin? If you have these questions you should read the explanation below.

Versions

I tryed to develop the plugin so that it can be used on almost any minecraft version, due the limits of minecraft 1.8 it wasn't possible to make sure the plugin works with minecraft versions lower than 1.8.8

Supported minecraft nms versions:

  • Version 1_14_R1
  • Version 1_13_R2
  • Version 1_13_R1
  • Version 1_12_R1
  • Version 1_11_R1
  • Version 1_10_R1
  • Version 1_9_R2
  • Version 1_9_R1
  • Version 1_8_R3

Install

Follow these steps so your plugin is installed flawless.

  1. Check if your server has a compatible minecraft version, you can do this by running the command /about
  2. Make sure you have intalled WorldGuard and WorldEdit. If you use minecraft 1.13 or newer you should install WorldGuard and WorldEdit version 7.0.0 or newer. Of you have use an older minecraft version install the older WorldGuard and WorldEdit versions.
  3. Download the latest version from the spigot page.
  4. Extract the downloaded zip file, you'll see 3 files, 2 .jar files and the other file is a link to this documentation page.
  5. If you use minecraft 1.8.8 - 1.12.2 use the RegionUnstuck_old-version.jar file and when you use 1.13 or newer use RegionUnstuck_new-version.jar
  6. Stop your server if it's running.
  7. Put the correct file for your WorldGuard and WorldEdit version in your plugin folder.
  8. Start your server and check console for errors.
  9. No errors? Nice, your done! Your plugin is installed if you are having errors this might be due your WordGuard, WorldEdit or minecraft version if so, go beck to step 2.

Update

Updates are as easy as drag and drop

  1. Stop your server if it's running.
  2. Delete the RegionUnstuck_old-version.jar or Regionunstuck_new-version.jar file file from your plugin folder.
  3. Download the latest version from the spigot page.
  4. Extract the downloaded zip file, you'll see 3 files, 2 .jar files and the other file is a link to this documentation page.
  5. If you use minecraft 1.8.8 - 1.12.2 use the RegionUnstuck_old-version.jar file and when you use 1.13 or newer use RegionUnstuck_new-version.jar
  6. Put the correct file for your WorldGuard and WorldEdit version in your plugin folder.
  7. Start your server and check console for errors.
  8. No errors? Nice, your done! Your plugin is installed if you are having errors this might be due your WordGuard, WorldEdit or minecraft version if so, go beck to step 2.